# changeNotePinned

Pin (isPinned true) or unpin a note (getContact notes[]); any teammate may. A pin notifies the contact's teammates.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "changeNotePinned", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `noteId`: `ID!` (required)
- `isPinned`: `Boolean!` (required)

## Response (data, an example)

```json
{
  "noteMutation": {
    "changeNotePinned": {
      "id": "<ID>",
      "notes": [
        {
          "id": "<ID>",
          "isPinned": true
        }
      ]
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "changeNotePinned",
    "variables": {
      "noteId": "<noteId>",
      "isPinned": true
    }
  }'
```
